=== modified file 'annotate/config.py'
--- annotate/config.py	2006-06-15 03:01:40 +0000
+++ annotate/config.py	2007-01-17 06:42:55 +0000
@@ -51,7 +51,6 @@
                                      configspec=gannotate_configspec)
         self.window = window
         self.pane = window.pane
-        self.span_selector = window.span_selector
         
         self.initial_comment = ["gannotate plugin configuration"]
         self['window']['width'] = 750
@@ -77,24 +76,13 @@
         if self["window"]["maximized"]:
             self.window.maximize()
 
-        self.span_selector.max_custom_spans =\
-                self["spans"]["max_custom_spans"]
-
         # XXX Don't know how to set an empty list as default in
         # gannotate_configspec.
-        try:
-            for span in self["spans"]["custom_spans"]:
-                self.span_selector.add_custom_span(span)
-        except KeyError:
-            pass
-
     def _connect_signals(self):
         self.window.connect("destroy", self._write)
         self.window.connect("configure-event", self._save_window_props)
         self.window.connect("window-state-event", self._save_window_props)
         self.pane.connect("notify", self._save_pane_props)
-        self.span_selector.connect("custom-span-added",
-                                   self._save_custom_spans)
 
     def _save_window_props(self, w, e, *args):
         if e.window.get_state() & gtk.gdk.WINDOW_STATE_MAXIMIZED:

=== modified file 'annotate/gannotate.py'
--- annotate/gannotate.py	2006-12-15 22:26:25 +0000
+++ annotate/gannotate.py	2007-01-17 06:42:55 +0000
@@ -55,9 +55,6 @@
 
         self._create()
 
-        if self.plain:
-            self.span_selector.hide()
-
     def annotate(self, tree, branch, file_id):
         self.revisions = {}
         self.annotations = []
@@ -101,9 +98,8 @@
 
             if not self.plain:
                 self._set_oldest_newest()
-                # Recall that calling activate_default will emit "span-changed",
-                # so self._span_changed_cb will take care of initial highlighting
-                self.span_selector.activate_default()
+                now = time.time()
+                self.annomodel.foreach(self._highlight_annotation, now)
         finally:
             branch.repository.unlock()
             branch.unlock()
@@ -176,20 +172,6 @@
         oldest = min(rev_dates)
         newest = max(rev_dates)
 
-        span = self._span_from_seconds(time.time() - oldest)
-        self.span_selector.set_to_oldest_span(span)
-        
-        span = self._span_from_seconds(newest - oldest)
-        self.span_selector.set_newest_to_oldest_span(span)
-
-    def _span_from_seconds(self, seconds):
-        return (seconds / (24 * 60 * 60))
-    
-    def _span_changed_cb(self, w, span):
-        self.annotate_colormap.set_span(span)
-        now = time.time()
-        self.annomodel.foreach(self._highlight_annotation, now)
-
     def _highlight_annotation(self, model, path, iter, now):
         revision_id, = model.get(iter, REVISION_ID_COL)
         revision = self.revisions[revision_id]
@@ -206,7 +188,6 @@
     def _create(self):
         self.logview = self._create_log_view()
         self.annoview = self._create_annotate_view()
-        self.span_selector = self._create_span_selector()
 
         vbox = gtk.VBox(False, 12)
         vbox.set_border_width(12)
@@ -226,7 +207,6 @@
         vbox.pack_start(pane, expand=True, fill=True)
         
         hbox = gtk.HBox(True, 6)
-        hbox.pack_start(self.span_selector, expand=False, fill=True)
         hbox.pack_start(self._create_button_box(), expand=False, fill=True)
         hbox.show()
         vbox.pack_start(hbox, expand=False, fill=True)
@@ -309,13 +289,6 @@
         
         return tv
 
-    def _create_span_selector(self):
-        ss = SpanSelector()
-        ss.connect("span-changed", self._span_changed_cb)
-        ss.show()
-
-        return ss
-
     def _create_log_view(self):
         lv = LogView()
         lv.show()

